/**
 * @file
 * Javascript functions for Selector SimpleCloser.
 */

 /*jslint devel: true, browser: true */
 /*global $,Drupal,jQuery*/

(function ($) {
    "use strict";

    function simplecloser_function(context, elements) {
        $("body").on("click touchenter", function (e) {
            elements.forEach(function (element) {
                if ($(e.target, context).closest(element).length === 0) {
                    $(element).hide();
                }
            });
        });
    }

    Drupal.behaviors.simplecloser = {
        attach: function (context) {
            var allelements = drupalSettings.simplecloser.simplecloser_selected_element;
            console.log("simplecloser_selected_elements: " + allelements);
            var elementsArray = allelements.split("\n");
            simplecloser_function(context, elementsArray);
        }
    };
}(jQuery));
