<?php

namespace Drupal\simplecloser\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\simplecloser\SimpleCloserCommonFunctions;
/**
 * Configure simplecloser settings for this site.
 */
class SimpleCloserAdminSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'simplecloser_admin_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['simplecloser.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $selected_element = \Drupal::config('simplecloser.settings')->get('simplecloser_selected_element');

    $form['general'] = [
      '#type' => 'details',
      '#title' => $this->t('General settings'),
      '#open' => TRUE,
    ];

    $form['general']['simplecloser_selected_element'] = [
      '#default_value' => \Drupal::config('simplecloser.settings')->get('simplecloser_selected_element'),
      '#description' => $this->t("One per line, please enter the classes or ID's along with the leading class (.) or ID (#) selector."),
      '#required' => TRUE,
      '#title' => $this->t('CSS classes or ID\'s to close'),
      '#type' => 'textarea',
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);

  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('simplecloser.settings');
    $config
      ->set('simplecloser_selected_element', $form_state->getValue('simplecloser_selected_element'))

      ->save();

    parent::submitForm($form, $form_state);
    \Drupal::service("router.builder")->rebuild();
  }
}
